Não é possível atualizar ADT plugin no Eclipse para a versão 23.0.0 ou superior

? adamhala007 @ | Original: StackOverFlow
---

Sou iniciante em programação Android . Meu problema é que eu não posso atualizar ADT. O problema começou quando, depois de um longo tempo eu tenho atualizado no Android SDK Gerente as ferramentas do SDK do Android. Então eu estava tentando importar um projeto na área de trabalho . Mas eu não poderia importar que, porque cada vez que eu cliquei no botão Concluir, nada aconteceu. Então eu fechei Eclipse e abriu-a de novo, e me mostrou o seguinte erro:

Não é possível atualizar ADT plugin no Eclipse para a versão 23.0.0 ou superior

Eu cliquei no Verificar atualizações, mas não encontrou nada. Na internet eu encontrei uma URL ( https://dl-ssl.google.com/android/eclipse/ ), então eu cliquei Ajuda -> Instalar Novo Software ...-- > Adicionar -> e colado esta URL . Quando eu cliquei Em seguida, ele me mostrou a lista de itens que eu queria instalar e também um erro:

Cannot complete the install because of a conflicting dependency.
 Software being installed: Tracer for OpenGL ES 23.0.0.1245622 (com.android.ide.eclipse.gldebugger.feature.feature.group 23.0.0.1245622)
 Software currently installed: Tracer for OpenGL ES 21.0.0.v201210310015-519525 (com.android.ide.eclipse.gldebugger.feature.group 21.0.0.v201210310015-519525)
Only one of the following can be installed at once: 
Tracer for OpenGL ES 23.0.0.1245622 (com.android.ide.eclipse.gldebugger 23.0.0.1245622)
Tracer for OpenGL ES 21.0.0.v201210310015-519525 (com.android.ide.eclipse.gldebugger 21.0.0.v201210310015-519525)
Cannot satisfy dependency:
From: Tracer for OpenGL ES 23.0.0.1245622 (com.android.ide.eclipse.gldebugger.feature.feature.group 23.0.0.1245622)
To: com.android.ide.eclipse.gldebugger [23.0.0.1245622]
Cannot satisfy dependency:
From: Tracer for OpenGL ES 21.0.0.v201210310015-519525 (com.android.ide.eclipse.gldebugger.feature.group 21.0.0.v201210310015-519525)
To: com.android.ide.eclipse.gldebugger [21.0.0.v201210310015-519525]

Eu também li em algum lugar, que eu deveria tentar substituir a pasta plugins com os plugins atualizados pasta assim que eu tentei mudar o nome de " plugins " pasta na pasta Eclipse para " pluginsx " e colou o novo Tenho baixado a partir do site http : //developer.android.com/sdk/installing/installing-adt.html . Depois disso, eu não poderia abrir o Eclipse.

Este site ( http://stackoverflow.com/questions/24437564/update-eclipse-with-android-development-tools-23 ) é também sobre o mesmo problema que eu tenho, e não há uma resposta que é aceito como a solução da questão . Então, eu tentei também para baixar http://dl.google.com/android/android-sdk_r22.6.2-windows.zip, e copiar essas 3 coisas a pastas que foram mencionados no comentário abaixo, mas eu tenho ainda o mesmo problema, nada mudou.

Então agora eu não tenho nenhuma idéia, como corrigir este problema. Alguém pode me ajudar, por favor?

Desde já, obrigado.

---

Top 5 Responder

1serifsadi @

Ajuda -> Instalar Novo Software - > O que já está instalado?

Em seguida, selecione " DDMS Android, Ferramentas Andoid Devlopment, Android A hierarquia Viewer, Android Development Tools nativa, Android Traceview, Tracer para OpenGL ES " e clique em Desinstalar.

Depois de todo esse passo, tentar Adicionar link ( https://dl-ssl.google.com/android/eclipse/ ) e nome é ADT Plugin . Este link vai ter a última versão do plugin ADT. Desta forma, você reinstalar o ADT.

2Stuart Siegler @

Nenhum desses "Update" respostas sozinho funcionou para mim.

A solução que eu usei é desinstalar o ADT (de desinstalação do ADT Android)

Help > About Eclipse > Installation Details

Selecione todos os módulos do Android ( prefixado com com.android.ide ... )

e excluí-los ( Uninstall ... ) e re- adicionar as bibliotecas do

help > Install new software

Como listado acima ....

3androider @

A única solução que funcionou para mim foi fazer o download do atual pacote Eclipse ADT do Android http://developer.android.com/sdk/index.html

Depois de baixá-lo, eu copiei o meu SDK atual para uma pasta como ... / desenvolvimento / SDK. Então eu deletei o SDK que veio com este novo Bundle.

Eu coloquei ADT Bundle em ... / desenvolvimento / adt -bundle -.... Depois de iniciá-lo, você jave para informar o novo local SDK em Window > Preferences > Android, portanto, em SDK Location você colocar o novo caminho SDK. No meu caso : ... / desenvolvimento / SDK.

Claro, você pode colocar a pasta SDK dentro da nova pasta ADT Bundle, mas eu faço desta forma, porque eu uso o Android Estúdio, bem, então eu apontar as duas IDEs ao mesmo SDK.

Após terminar este e ter a certeza que tudo está funcionando eu deletei a pasta antiga ADT Bundle.

4ZakiMak @

Instalando ADT é um grande problema, especialmente quando a atualização . Também às vezes é apenas uma dor de instalar ADT, fornecendo o link direto . Muitas vezes Eclipse irá parar durante a exibição de "requisitos e dependências de calcular" .

Eu achei que era mais simples, por vezes, para desinstalar primeiro todos os componentes 7 :

-Android DDMS Ferramentas Devlopment -Andoid -Android A hierarquia Visualizador -Android Ferramentas de Desenvolvimento Indígena Traceview -Android -Tracer Para OpenGL ES -O Google App Engine para Android Tools (se instalado)

Então baixe a última ZIP / Arquivo de http://developer.android.com/sdk/installing/installing-adt.html

Instale o arquivo morto de Ajuda-> Instale New Software-> Add > Arquivo  Selecione o ZIP baixado, fornecer um nome para ele e siga o processo de instalação padrão.